Bug 1329093 - Google App Engine support: Handle exception from ClassLoader.getSystemClassLoader() and allow usage of GoogleAppEngineThreadFactory
Summary: Google App Engine support: Handle exception from ClassLoader.getSystemClassLo...
Keywords:
Status: CLOSED EOL
Alias: None
Product: JBoss BRMS Platform 6
Classification: Retired
Component: BRE
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
urgent
high
Target Milestone: ---
: ---
Assignee: Mario Fusco
QA Contact: Marek Winkler
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-04-21 08:09 UTC by Martin Weiler
Modified: 2020-03-27 19:12 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-27 19:12:44 UTC
Type: Enhancement


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Issue Tracker DROOLS-1125 0 Major Resolved Google App Engine support: ClassLoader.getSystemClassLoader() throws exception 2019-06-03 16:18:47 UTC
Red Hat Issue Tracker DROOLS-1127 0 Major Resolved Google App Engine support: Do not call new Thread() by allowing to plug in a custom ThreadFactory 2019-06-03 16:18:47 UTC

Description Martin Weiler 2016-04-21 08:09:08 UTC
Description of problem:
Platform issue for these two JIRAs for support on GAE:
* https://issues.jboss.org/browse/DROOLS-1125
  Google App Engine support: ClassLoader.getSystemClassLoader() throws exception

* https://issues.jboss.org/browse/DROOLS-1127
  Google App Engine support: Do not call new Thread() by allowing to plug in a custom ThreadFactory



Additional info:

Comment 3 Mario Fusco 2016-05-11 07:15:16 UTC
- DROOLS-1125 cherry-picked to 6.4.x branch with https://github.com/droolsjbpm/droolsjbpm-knowledge/commit/dca37faec

- DROOLS-1127 cherry-picked to 6.4.x branch with https://github.com/droolsjbpm/drools/commit/9ab5ff396


Note You need to log in before you can comment on or make changes to this bug.